{% extends "base.html" %}
{% load quality_extras %}

{% block title %}
  {{ object.code }}
{% endblock title %}

{% block links %}
  <li class="breadcrumb-item">
    <a href="{% url 'quality:homepage' %}">Home</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{% url 'quality:network-list' %}">Networks</a>
  </li>
  <li class="breadcrumb-item active" aria-current="page">{{ object.code }}</li>
  <li class="breadcrumb-item">
    <a href="{% url 'quality:network-detail' object.pk %}">Detail</a>
  </li>
{% endblock links %}

{% block content %}
  <article>
    <h1 class="h2">Stations for {{ object.code }}</h1>
    <div class="row">
      <div class="col-xl-9 col-lg-8 text-center">
        <div class="row g-2">
          <div class="d-flex flex-wrap">
            {% for station in stations %}
              <div class="flex-fill p-1">
                <a class="btn btn-outline-{{ station.result|colorize }} position-relative"
                   href="{% url 'quality:station-detail' pk=station.id %}"
                   role="button">
                  {{ station.code }}
                  {% if station.code not in rtserved %}
                    <span class="position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle">
                      <span class="visually-hidden">No real time data</span>
                    </span>
                  {% endif %}
                </a>
              </div>
            {% empty %}
              No checks have been run these last 7 days for this network
            {% endfor %}
          </div>
        </div>
        {% if triggered_stations %}
          <br>
          <h4>Triggered stations in this network</h4>
          <div class="row g-2">
            <div class="d-flex flex-wrap">
              {% for station in triggered_stations %}
                <div class="flex-fill p-1">
                  <a class="btn btn-outline-{{ station.result|colorize }} position-relative"
                     href="{% url 'quality:station-detail' pk=station.id %}"
                     role="button">
                    {{ station.code }}
                    {% if station.code not in rtserved %}
                      <span class="position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle">
                        <span class="visually-hidden">No real time data</span>
                      </span>
                    {% endif %}
                  </a>
                </div>
              {% endfor %}
            </div>
          </div>
        {% endif %}
      </div>
      <div class="col-xl-3 col-lg-4">
        <h4>Legend</h4>
        <dl class="row g-2">
          <dt class="col-lg-3 col-2">
            <a class="btn btn-outline-success" role="button">XXXX</a>
          </dt>
          <dd class="col-lg-9 col-10">
            All data are present the last 7 days
          </dd>
          <dt class="col-lg-3 col-2">
            <a class="btn btn-outline-warning" role="button">XXXX</a>
          </dt>
          <dd class="col-lg-9 col-10">
            All data are present the last 7 days but some metadata seems wrong or missing
          </dd>
          <dt class="col-lg-3 col-2">
            <a class="btn btn-outline-danger" role="button">XXXX</a>
          </dt>
          <dd class="col-lg-9 col-10">
            At least one day of data is missing in the last 7 days
          </dd>
          <dt class="col-lg-3 col-2">
            <a class="btn btn-outline-secondary position-relative" role="button">XXXX
              <span class="position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle">
                <span class="visually-hidden">No real time data</span>
              </span>
            </a>
          </dt>
          <dd class="col-lg-9 col-10">
            A small red button on the top right corner indicates that there is no real time data being served
          </dd>
        </dl>
      </div>
    </div>
  </article>
{% endblock content %}
